List static routes
GET
/network/route
const url = 'https://sylve.lan:8181/api/network/route';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/network/route \ --header 'Authorization: <Authorization>'List all configured static routes
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
createdAt
string
description
string
destination
string
destinationObjId
integer
destinationRaw
string
destinationType
Host|network
string
enabled
boolean
family
Inet|inet6
string
fib
integer
gateway
string
gatewayObjId
integer
gatewayRaw
string
gatewayZone
IPv6 link-local scope interface (zone id)
string
id
integer
interface
string
name
string
nextHopMode
Gateway|interface
string
updatedAt
string
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "createdAt": "example", "description": "example", "destination": "example", "destinationObjId": 1, "destinationRaw": "example", "destinationType": "example", "enabled": true, "family": "example", "fib": 1, "gateway": "example", "gatewayObjId": 1, "gatewayRaw": "example", "gatewayZone": "example", "id": 1, "interface": "example", "name": "example", "nextHopMode": "example", "updatedAt": "example" } ], "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}